#doc {
  display: flex;
  flex-direction: column;
  max-width: 1000px;
  margin-left: auto;
  margin-right: auto;
}

#maincol {
  display: flex;
  flex-direction: column;
}

.pageTitle {
	display: flex;
	gap: 0.5rem;
	font-size: 1.05rem;
}

.pageTitle a {
  color: var(--text-deemph);
  font-weight: bold;
}

.tabs {
  display: flex;
  list-style-type: none;
  gap: 0.5rem;
  margin: 0;
}

.tabs li.selected, .tabs li.selected a {
  color: var(--text-deemph);
}

.tabs li.selected::before {
  content: "[";
}

.tabs li.selected::after {
  content: "]";
}

#footer-c {
	display: flex;
	gap: 1rem;
	justify-content: center;
	margin-top: 2rem;
	font-style: italic;
	color: var(--text-deemph);
}

#title-c {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

#title-right, #title-right > div {
	display: flex;
	gap: 0.5rem;
}

#sn-links {
	display: flex;
	gap: 0.5rem;
}

#sitenav {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-top: 1rem;
	gap: 0.5rem;
}

#page-toc {
	float: right;
	background-color: var(--dark);
	border-radius: 0.25rem;
	padding: 0.5rem 1rem 0.5rem 0;
	margin: 0 0 0.5rem 0.5rem;
}

@media (width <= 600px) {
	#page-toc {
		float: none;
		margin: 1rem;
		width: fit-content;
	}
}

#page-toc > ul {
	margin: 0;
}

fieldset {
	margin: 1rem 0rem;
	padding: 0.5rem;
	border-radius: 0.25rem;
	border: 1px solid var(--text-deemph);
}

.difflink .compare {
	margin-left: 0.5rem;
}

/* theme */

:root {
  --background: #1D1D26;
  --dark: #2C2C3B;
  --text: #D0D0D9;
  --text-deemph: hsl(from var(--text) h s calc(l - 25));
  --primary: #713A91;
  --accent: #FFBEFF;
  --primary-teal: #3A9272;
  --primary-green: #5A923A;
  --primary-maroon: #923A5A;
  --accent-yellow: #FFFFBD;
  --accent-lightblue: #BDFFFF;
  --accent-orange: #FFDEBD;
  --accent-green: #BDFFBD;
  --accent-blue: #BDDEFF;
}

body {
	background-color: var(--background);
	color: var(--text);
}

a {
	color: var(--accent);
}

input, button, textarea {
	background-color: var(--dark);
	color: var(--text);
	border: 1px solid var(--accent);
    padding: 0.125rem 0.375rem;
    border-radius: 0.25rem;
    font-family: inherit;
}

textarea {
    background-color: unset;
}

#editform {
    margin-top: 0.5rem;
}

.cm-editor {
    height: calc(100vh - 20rem);
}

#logmsg-c {
    display: flex;
    gap: 1rem;
}

.commit-msg {
    font-style: italic;
}

.notice {
    border: 1px solid var(--accent);
    padding: 0.5rem;
    margin-top: 1rem;
    background-color: var(--dark);
}

.deemph {
    color: var(--text-deemph);
    font-size: 0.9em;
}

#history-form {
    margin-top: 1rem;
}

#history-form ul {
    margin-top: 0.5rem;
}

.histlinks::before {
    content: "(";
}
.histlinks::after {
    content: ")";
}
.histlinks > span:not(:first-child)::before {
    content: " | ";
}

.wiki-form {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    align-items: start;
    margin-top: 1rem;
}
.wiki-form > div {
    display: flex;
    flex-direction: column;
    align-items: start;
}
.wiki-form input[readonly] {
    border-color: var(--text-deemph);
    cursor: not-allowed;
}

section[role="doc-endnotes"] {
    border-top: 1px solid var(--text-deemph);
    margin-top: 3rem;
    padding-top: 0.5rem;
}

#editform textarea {
    height: 25em; width: 98%; font-family: monospace; font-size: 93%;
}
#editform #logMsg { flex: 1; }
#goform input[type='text'] { width: 8.5em; }
pre>code { display: block; }
